Package org.eclipse.ui.editors.text

## Interface IStorageDocumentProvider

All Known Implementing Classes:
  `FileDocumentProvider`, `ForwardingDocumentProvider`, `StorageDocumentProvider`, `TextFileDocumentProvider`, `TextFileDocumentProvider.NullProvider`

    public interface IStorageDocumentProvider

Document provider for `IStorage` based domain elements. Basically incorporates the concept of character encoding.

Since:
  2.0

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getDefaultEncoding()` Returns the default character encoding used by this provider.
`String` `getEncoding​(Object element)` Returns the character encoding for the given element, or `null` if the element is not managed by this provider.
`void` `setEncoding​(Object element, String encoding)` Sets the encoding for the given element.

### Method Detail

#### getDefaultEncoding

    String getDefaultEncoding()

Returns the default character encoding used by this provider.

Returns:
  the default character encoding used by this provider

#### getEncoding

    String getEncoding​(Object element)

Returns the character encoding for the given element, or `null` if the element is not managed by this provider.

Parameters:
  `element` - the element
Returns:
  the encoding for the given element

#### setEncoding

    void setEncoding​(Object element,
                     String encoding)

Sets the encoding for the given element. If `encoding` is `null` the workbench's character encoding should be used.

Parameters:
  `element` - the element
  `encoding` - the encoding to be used